package com.sifang.modules.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "crm_customer_yx_condition")
public class CrmCustomerYxCondition {

    private String id;
    // 业主名称
    private String name;
    // 手机号
    private String mobile;
    // 证件号码
    private String idCode;
    // 信息使用授权状态：1.未授权 2.已发起 3.已授权
    private String authorization;
    // 预审状态 1.待预审 2.预审待审批 3.预审审批中 4.预审通过 5.预审拒绝
    private String preaudit;
    // 预审不通过原因
    private String preauditReason;
    // 授权合同的E签宝的流程id
    private String signFlowId;
    // 承租人编码
    private String tenantCode;
    // 授权合同地址
    private String authorizationContractPath;
    //所属资方
    private String partnerId;
    //备案类型 1.农户备案 2.项目公司备案
    private String filingType;


    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public String getAuthorization() {
        return authorization;
    }

    public void setAuthorization(String authorization) {
        this.authorization = authorization;
    }

    public String getPreaudit() {
        return preaudit;
    }

    public void setPreaudit(String preaudit) {
        this.preaudit = preaudit;
    }

    public String getPreauditReason() {
        return preauditReason;
    }

    public void setPreauditReason(String preauditReason) {
        this.preauditReason = preauditReason;
    }

    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    public String getTenantCode() {
        return tenantCode;
    }

    public void setTenantCode(String tenantCode) {
        this.tenantCode = tenantCode;
    }

    public String getAuthorizationContractPath() {
        return authorizationContractPath;
    }

    public void setAuthorizationContractPath(String authorizationContractPath) {
        this.authorizationContractPath = authorizationContractPath;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }
    @Override
    public String toString() {
        return "CrmCustomerYxCondition{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", mobile='" + mobile + '\'' +
                ", idCode='" + idCode + '\'' +
                ", authorization='" + authorization + '\'' +
                ", preaudit='" + preaudit + '\'' +
                ", preauditReason='" + preauditReason + '\'' +
                ", signFlowId='" + signFlowId + '\'' +
                ", tenantCode='" + tenantCode + '\'' +
                ", authorizationContractPath='" + authorizationContractPath + '\'' +
                ", partnerId='" + partnerId + '\'' +
                ", filingType='" + filingType + '\'' +
                '}';
    }
}
